aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Couder <chriscool@tuxfamily.org>2007-12-02 06:08:00 +0100
committerJunio C Hamano <gitster@pobox.com>2007-12-09 01:19:54 -0800
commitd3a866bc8b5604d31638648d671e524cc84fbb26 (patch)
tree656d53541107939a4c6203fa0eaad6d6150659f8
parent5d6491c7c7536ab930a6e9ce2ec3b5249d4c283f (diff)
downloadgit-d3a866bc8b5604d31638648d671e524cc84fbb26.tar.gz
git-d3a866bc8b5604d31638648d671e524cc84fbb26.tar.xz
Use {web,instaweb,help}.browser config options.
Now "git-instaweb" will try to use the browser configured as "web.browser", if "instaweb.browser" is not set. "git-browse-help" will check first "help.browser" and then "web.browser". Signed-off-by: Christian Couder <chriscool@tuxfamily.org> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xgit-browse-help.sh8
-rwxr-xr-xgit-instaweb.sh1
2 files changed, 7 insertions, 2 deletions
diff --git a/git-browse-help.sh b/git-browse-help.sh
index 76eff01ba..817b3792c 100755
--- a/git-browse-help.sh
+++ b/git-browse-help.sh
@@ -70,9 +70,13 @@ do
done
if test -z "$browser"; then
- browser=`git config web.browser`
+ for opt in "help.browser" "web.browser"
+ do
+ browser="`git config $opt`"
+ test -z "$browser" || break
+ done
if test -n "$browser" && ! valid_tool "$browser"; then
- echo >&2 "git config option web.browser set to unknown browser: $browser"
+ echo >&2 "git config option $opt set to unknown browser: $browser"
echo >&2 "Resetting to default..."
unset browser
fi
diff --git a/git-instaweb.sh b/git-instaweb.sh
index 8503ae403..42d8d7fc6 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -24,6 +24,7 @@ fqgitdir="$GIT_DIR"
local="`git config --bool --get instaweb.local`"
httpd="`git config --get instaweb.httpd`"
browser="`git config --get instaweb.browser`"
+test -z "$browser" && browser="`git config --get web.browser`"
port=`git config --get instaweb.port`
module_path="`git config --get instaweb.modulepath`"